Digital Distribution Hub (1.0.0)
Digital Distribution Hub是一个全新的艾克索拉解决方案,旨在通过推送支付(Push payments)技术和电子商务来联结数字与现金支付。
https://store.xsolla.com/api,用于常用、目录、购物车和订单组。https://ps.xsolla.com,用于通知组。
目录组中的API端点不需要授权。
要使用购物车和订单组中的操作,需通过创建用户令牌来生成一个令牌。
下载 OpenAPI 描述
语言
服务器
Mock server
https://xsolla.redocly.app/_mock/zh/api/digital-distribution-hub/
https://store.xsolla.com/api/
查询
附加字段列表。如果在请求中发送这些字段,则它们将包含在响应中。可用字段media_list、order、long_description。
对于该目录要计算区域价格和限制的国家/地区。符合ISO 3166-1 alpha-2的两个大写字母的国家/地区代码。如果未明确指定国家/地区,则将根据用户的IP地址进行计算。
默认值 "US"
- Mock serverhttps://xsolla.redocly.app/_mock/zh/api/digital-distribution-hub/v2/project/{project_id}/items/bundle
- https://store.xsolla.com/api/v2/project/{project_id}/items/bundle
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/zh/api/digital-distribution-hub/v2/project/44056/items/bundle?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'响应
application/json
{ "items": [ { … } ] }
- Mock serverhttps://xsolla.redocly.app/_mock/zh/api/digital-distribution-hub/v2/project/{project_id}/items/bundle/sku/{sku}
- https://store.xsolla.com/api/v2/project/{project_id}/items/bundle/sku/{sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://xsolla.redocly.app/_mock/zh/api/digital-distribution-hub/v2/project/44056/items/bundle/sku/kg_1 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'指定的捆绑包已成功接收。
捆绑包套餐内容。
示例: [{"attributes":[],"description":"Big Rocket - short description.","groups":[],"image_url":"https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png","is_free":false,"name":"Big Rocket","price":{"amount":10.99,"amount_without_discount":10.99,"currency":"USD"},"quantity":100,"sku":"big_rocket","type":"virtual_currency"}]
商品所属分组。
默认值 []
示例: [{"external_id":"horror","name":{"en":"Horror"}}]
响应
application/json
{ "attributes": [], "bundle_type": "standard", "content": [ { … } ], "description": "pricePoint_44056_1.", "groups": [], "is_free": false, "media_list": [], "name": "kg_10.00_bundle", "order": 999, "price": { "amount": 9.99, "amount_without_discount": 9.99, "currency": "USD" }, "sku": "kg_1", "total_content_amount": { "amount": 10.99, "amount_without_discount": 10.99, "currency": "USD" }, "type": "bundle", "virtual_prices": [] }